language: cpp
before_install: ./util/travis/before_install.sh
script: ./util/travis/script.sh
sudo: required
notifications:
  email: false
matrix:
  fast_finish: true
  include:
    - env: PLATFORM=Win32
      compiler: gcc
      os: linux
    - env: PLATFORM=Win64
      compiler: gcc
      os: linux
    - env: PLATFORM=Unix COMPILER=clang
      compiler: clang
      os: osx
    - env: PLATFORM=Unix COMPILER=g++
      compiler: gcc
      os: linux
    - env: PLATFORM=Unix COMPILER=clang
      compiler: clang
      os: linux
    - env: PLATFORM=Unix COMPILER=g++-6
      compiler: gcc
      os: linux
addons:
  apt:
    sources: &sources
      - ubuntu-toolchain-r-test
